Index: sansmodels/src/sans/models/BEPolyelectrolyte.py
===================================================================
--- sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision e45a565b4fffefd68f0c382348366836a7007e0f)
+++ sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -67,5 +67,5 @@
         self.details['k']    = ['[barns]', None, None]
         self.details['lb'] = ['[A]', None, None]
-        self.details['h']   = ['[1/A³]', None, None]
+        self.details['h']   = ['[1/A^(2)]', None, None]
         self.details['b']    = ['[A]', None, None]
         self.details['cs'] = ['[mol/L]', None, None]
Index: sansmodels/src/sans/models/BinaryHSModel.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/BinaryHSModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,8 +36,4 @@
          vol_frac_ls     = 0.1 
          vol_frac_ss     = 0.2 
-         ls_sld          = 3.5e-006 [1/A²]
-         ss_sld          = 5e-007 [1/A²]
-         solvent_sld     = 6.36e-006 [1/A²]
-         background      = 0.001 [1/cm]
 
     """
@@ -68,8 +64,4 @@
         self.details['vol_frac_ls'] = ['', None, None]
         self.details['vol_frac_ss'] = ['', None, None]
-        self.details['ls_sld'] = ['[1/A²]', None, None]
-        self.details['ss_sld'] = ['[1/A²]', None, None]
-        self.details['solvent_sld'] = ['[1/A²]', None, None]
-        self.details['background'] = ['[1/cm]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/BinaryHSPSF11Model.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,7 +36,7 @@
          vol_frac_ls     = 0.2 
          vol_frac_ss     = 0.2 
-         ls_sld          = 3.5e-006 [1/A²]
-         ss_sld          = 5e-007 [1/A²]
-         solvent_sld     = 6.36e-006 [1/A²]
+         ls_sld          = 3.5e-006 [1/A^(2)]
+         ss_sld          = 5e-007 [1/A^(2)]
+         solvent_sld     = 6.36e-006 [1/A^(2)]
          background      = 0.001 [1/cm]
 
@@ -71,7 +71,7 @@
         self.details['vol_frac_ls'] = ['', None, None]
         self.details['vol_frac_ss'] = ['', None, None]
-        self.details['ls_sld'] = ['[1/A²]', None, None]
-        self.details['ss_sld'] = ['[1/A²]', None, None]
-        self.details['solvent_sld'] = ['[1/A²]', None, None]
+        self.details['ls_sld'] = ['[1/A^(2)]', None, None]
+        self.details['ss_sld'] = ['[1/A^(2)]', None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,7 +36,7 @@
          thickness       = 10.0 [A]
          length          = 400.0 [A]
-         core_sld        = 1e-006 [1/A²]
-         shell_sld       = 4e-006 [1/A²]
-         solvent_sld     = 1e-006 [1/A²]
+         core_sld        = 1e-006 [1/A^(2)]
+         shell_sld       = 4e-006 [1/A^(2)]
+         solvent_sld     = 1e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          axis_theta      = 1.57 [rad]
@@ -86,7 +86,7 @@
         self.details['thickness'] = ['[A]', None, None]
         self.details['length'] = ['[A]', None, None]
-        self.details['core_sld'] = ['[1/A²]', None, None]
-        self.details['shell_sld'] = ['[1/A²]', None, None]
-        self.details['solvent_sld'] = ['[1/A²]', None, None]
+        self.details['core_sld'] = ['[1/A^(2)]', None, None]
+        self.details['shell_sld'] = ['[1/A^(2)]', None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/CoreShellEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellEllipsoidModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/CoreShellEllipsoidModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -37,6 +37,6 @@
          equat_shell     = 250.0 [A]
          polar_shell     = 30.0 [A]
-         contrast        = 1e-006 [1/A²]
-         sld_solvent     = 6.3e-006 [1/A²]
+         contrast        = 1e-006 [1/A^(2)]
+         sld_solvent     = 6.3e-006 [1/A^(2)]
          background      = 0.001 [1/cm]
          axis_theta      = 0.0 [rad]
@@ -82,6 +82,6 @@
         self.details['equat_shell'] = ['[A]', None, None]
         self.details['polar_shell'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
-        self.details['sld_solvent'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
+        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,7 +35,7 @@
          radius          = 60.0 [A]
          thickness       = 10.0 [A]
-         core_sld        = 1e-006 [1/A²]
-         shell_sld       = 2e-006 [1/A²]
-         solvent_sld     = 3e-006 [1/A²]
+         core_sld        = 1e-006 [1/A^(2)]
+         shell_sld       = 2e-006 [1/A^(2)]
+         solvent_sld     = 3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
 
@@ -68,7 +68,7 @@
         self.details['radius'] = ['[A]', None, None]
         self.details['thickness'] = ['[A]', None, None]
-        self.details['core_sld'] = ['[1/A²]', None, None]
-        self.details['shell_sld'] = ['[1/A²]', None, None]
-        self.details['solvent_sld'] = ['[1/A²]', None, None]
+        self.details['core_sld'] = ['[1/A^(2)]', None, None]
+        self.details['shell_sld'] = ['[1/A^(2)]', None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
@@ -108,5 +108,4 @@
     def calculate_ER(self):
         """ Calculate the effective radius for P(q)*S(q)
-            @param x: input q, or [q,phi]
             @return: the value of the effective radius
         """       
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,5 +35,5 @@
          radius          = 20.0 [A]
          length          = 400.0 [A]
-         contrast        = 3e-006 [1/A²]
+         contrast        = 3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          cyl_theta       = 1.0 [rad]
@@ -71,5 +71,5 @@
         self.details['radius'] = ['[A]', None, None]
         self.details['length'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['cyl_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,5 +35,5 @@
          radius_a        = 20.0 [A]
          radius_b        = 400.0 [A]
-         contrast        = 3e-006 [1/A²]
+         contrast        = 3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          axis_theta      = 1.57 [rad]
@@ -75,5 +75,5 @@
         self.details['radius_a'] = ['[A]', None, None]
         self.details['radius_b'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,5 +36,5 @@
          r_ratio         = 1.5 
          length          = 400.0 [A]
-         contrast        = 3e-006 [1/A²]
+         contrast        = 3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          cyl_theta       = 1.57 [rad]
@@ -66,5 +66,5 @@
         self.details['r_ratio'] = ['', None, None]
         self.details['length'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['cyl_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/FlexibleCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/FlexibleCylinderModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/FlexibleCylinderModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,5 +36,5 @@
          kuhn_length     = 100.0 [A]
          radius          = 20.0 [A]
-         contrast        = 5.3e-006 [1/A²]
+         contrast        = 5.3e-006 [1/A^(2)]
          background      = 0.0001 [1/cm]
 
@@ -62,5 +62,5 @@
         self.details['kuhn_length'] = ['[A]', None, None]
         self.details['radius'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/FractalModel.py
===================================================================
--- sansmodels/src/sans/models/FractalModel.py	(revision 9ce41c6f9cb652f9c0a81a779f2dd143382ac661)
+++ sansmodels/src/sans/models/FractalModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -67,6 +67,6 @@
         self.details['fractal_dim'] = ['',       0,  None]
         self.details['corr_length'] = ['[A]',    None, None]
-        self.details['block_sld']   = ['[1/A²]',  None, None]
-        self.details['solvent_sld'] = ['[1/A²]',  None, None]
+        self.details['block_sld']   = ['[1/A^(2)]',  None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]',  None, None]
         self.details['background']  = ['[1/cm]', None, None]
        
Index: sansmodels/src/sans/models/HollowCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/HollowCylinderModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/HollowCylinderModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,5 +36,5 @@
          radius          = 30.0 [A]
          length          = 400.0 [A]
-         contrast        = 5.3e-006 [1/A²]
+         contrast        = 5.3e-006 [1/A^(2)]
          background      = 0.01 [1/cm]
          axis_theta      = 1.57 [rad]
@@ -66,5 +66,5 @@
         self.details['radius'] = ['[A]', None, None]
         self.details['length'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/LamellarFFHGModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarFFHGModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/LamellarFFHGModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,7 +35,7 @@
          t_length        = 15.0 [A]
          h_thickness     = 10.0 [A]
-         sld_tail        = 4e-007 [1/A²]
-         sld_head        = 3e-006 [1/A²]
-         sld_solvent     = 6e-006 [1/A²]
+         sld_tail        = 4e-007 [1/A^(2)]
+         sld_head        = 3e-006 [1/A^(2)]
+         sld_solvent     = 6e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
 
@@ -66,7 +66,7 @@
         self.details['t_length'] = ['[A]', None, None]
         self.details['h_thickness'] = ['[A]', None, None]
-        self.details['sld_tail'] = ['[1/A²]', None, None]
-        self.details['sld_head'] = ['[1/A²]', None, None]
-        self.details['sld_solvent'] = ['[1/A²]', None, None]
+        self.details['sld_tail'] = ['[1/A^(2)]', None, None]
+        self.details['sld_head'] = ['[1/A^(2)]', None, None]
+        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/LamellarModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/LamellarModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -34,6 +34,6 @@
          scale           = 1.0 
          bi_thick        = 50.0 [A]
-         sld_bi          = 1e-006 [1/A²]
-         sld_sol         = 6.3e-006 [1/A²]
+         sld_bi          = 1e-006 [1/A^(2)]
+         sld_sol         = 6.3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
 
@@ -64,6 +64,6 @@
         self.details['scale'] = ['', None, None]
         self.details['bi_thick'] = ['[A]', None, None]
-        self.details['sld_bi'] = ['[1/A²]', None, None]
-        self.details['sld_sol'] = ['[1/A²]', None, None]
+        self.details['sld_bi'] = ['[1/A^(2)]', None, None]
+        self.details['sld_sol'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/LamellarPSHGModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarPSHGModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/LamellarPSHGModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,7 +36,7 @@
          deltaT          = 10.0 [A]
          deltaH          = 2.0 [A]
-         sld_tail        = 4e-007 [1/A²]
-         sld_head        = 2e-006 [1/A²]
-         sld_solvent     = 6e-006 [1/A²]
+         sld_tail        = 4e-007 [1/A^(2)]
+         sld_head        = 2e-006 [1/A^(2)]
+         sld_solvent     = 6e-006 [1/A^(2)]
          n_plates        = 30.0 
          caille          = 0.001 
@@ -81,7 +81,7 @@
         self.details['deltaT'] = ['[A]', None, None]
         self.details['deltaH'] = ['[A]', None, None]
-        self.details['sld_tail'] = ['[1/A²]', None, None]
-        self.details['sld_head'] = ['[1/A²]', None, None]
-        self.details['sld_solvent'] = ['[1/A²]', None, None]
+        self.details['sld_tail'] = ['[1/A^(2)]', None, None]
+        self.details['sld_head'] = ['[1/A^(2)]', None, None]
+        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
         self.details['n_plates'] = ['', None, None]
         self.details['caille'] = ['', None, None]
Index: sansmodels/src/sans/models/LamellarPSModel.py
===================================================================
--- sansmodels/src/sans/models/LamellarPSModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/LamellarPSModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,5 +35,5 @@
          spacing         = 400.0 [A]
          delta           = 30.0 [A]
-         contrast        = 5.3e-006 [1/A²]
+         contrast        = 5.3e-006 [1/A^(2)]
          n_plates        = 20.0 
          caille          = 0.1 
@@ -76,5 +76,5 @@
         self.details['spacing'] = ['[A]', None, None]
         self.details['delta'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['n_plates'] = ['', None, None]
         self.details['caille'] = ['', None, None]
Index: sansmodels/src/sans/models/LogNormal.py
===================================================================
--- sansmodels/src/sans/models/LogNormal.py	(revision 9ce41c6f9cb652f9c0a81a779f2dd143382ac661)
+++ sansmodels/src/sans/models/LogNormal.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -91,5 +91,4 @@
     def calculate_ER(self):
         """ Calculate the effective radius for P(q)*S(q)
-            @param x: input q, or [q,phi]
             @return: the value of the effective radius
         """       
Index: sansmodels/src/sans/models/Lorentzian.py
===================================================================
--- sansmodels/src/sans/models/Lorentzian.py	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/Lorentzian.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -91,5 +91,4 @@
     def calculate_ER(self):
         """ Calculate the effective radius for P(q)*S(q)
-            @param x: input q, or [q,phi]
             @return: the value of the effective radius
         """       
Index: sansmodels/src/sans/models/MultiShellModel.py
===================================================================
--- sansmodels/src/sans/models/MultiShellModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/MultiShellModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,6 +36,6 @@
          s_thickness     = 10.0 [A]
          w_thickness     = 10.0 [A]
-         core_sld        = 6.4e-006 [1/A²]
-         shell_sld       = 4e-007 [1/A²]
+         core_sld        = 6.4e-006 [1/A^(2)]
+         shell_sld       = 4e-007 [1/A^(2)]
          n_pairs         = 2.0 
          background      = 0.0 [1/cm]
@@ -69,6 +69,6 @@
         self.details['s_thickness'] = ['[A]', None, None]
         self.details['w_thickness'] = ['[A]', None, None]
-        self.details['core_sld'] = ['[1/A²]', None, None]
-        self.details['shell_sld'] = ['[1/A²]', None, None]
+        self.details['core_sld'] = ['[1/A^(2)]', None, None]
+        self.details['shell_sld'] = ['[1/A^(2)]', None, None]
         self.details['n_pairs'] = ['', None, None]
         self.details['background'] = ['[1/cm]', None, None]
Index: sansmodels/src/sans/models/OblateModel.py
===================================================================
--- sansmodels/src/sans/models/OblateModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/OblateModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -37,6 +37,6 @@
          major_shell     = 250.0 [A]
          minor_shell     = 30.0 [A]
-         contrast        = 1e-006 [1/A²]
-         sld_solvent     = 6.3e-006 [1/A²]
+         contrast        = 1e-006 [1/A^(2)]
+         sld_solvent     = 6.3e-006 [1/A^(2)]
          background      = 0.001 [1/cm]
          axis_theta      = 1.0 [rad]
@@ -80,6 +80,6 @@
         self.details['major_shell'] = ['[A]', None, None]
         self.details['minor_shell'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
-        self.details['sld_solvent'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
+        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/ParallelepipedModel.py
===================================================================
--- sansmodels/src/sans/models/ParallelepipedModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/ParallelepipedModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,5 +36,5 @@
          short_b         = 75.0 [A]
          long_c          = 400.0 [A]
-         contrast        = 5.3e-006 [1/A²]
+         contrast        = 5.3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          parallel_theta  = 0.0 [rad]
@@ -69,5 +69,5 @@
         self.details['short_b'] = ['[A]', None, None]
         self.details['long_c'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['parallel_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/ProlateModel.py
===================================================================
--- sansmodels/src/sans/models/ProlateModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/ProlateModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -37,6 +37,6 @@
          major_shell     = 110.0 [A]
          minor_shell     = 60.0 [A]
-         contrast        = 1e-006 [1/A²]
-         sld_solvent     = 6.3e-006 [1/A²]
+         contrast        = 1e-006 [1/A^(2)]
+         sld_solvent     = 6.3e-006 [1/A^(2)]
          background      = 0.001 [1/cm]
 
@@ -78,6 +78,6 @@
         self.details['major_shell'] = ['[A]', None, None]
         self.details['minor_shell'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
-        self.details['sld_solvent'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
+        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/Schulz.py
===================================================================
--- sansmodels/src/sans/models/Schulz.py	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/Schulz.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -93,5 +93,4 @@
     def calculate_ER(self):
         """ Calculate the effective radius for P(q)*S(q)
-            @param x: input q, or [q,phi]
             @return: the value of the effective radius
         """       
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/SphereModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -34,5 +34,5 @@
          scale           = 1.0 
          radius          = 60.0 [A]
-         contrast        = 1e-006 [1/A²]
+         contrast        = 1e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
 
@@ -64,5 +64,5 @@
         self.details['scale'] = ['', None, None]
         self.details['radius'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/StackedDisksModel.py
===================================================================
--- sansmodels/src/sans/models/StackedDisksModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/StackedDisksModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,7 +36,7 @@
          core_thick      = 10.0 [A]
          layer_thick     = 15.0 [A]
-         core_sld        = 4e-006 [1/A²]
-         layer_sld       = -4e-007 [1/A²]
-         solvent_sld     = 5e-006 [1/A²]
+         core_sld        = 4e-006 [1/A^(2)]
+         layer_sld       = -4e-007 [1/A^(2)]
+         solvent_sld     = 5e-006 [1/A^(2)]
          n_stacking      = 1.0 
          sigma_d         = 0.0 
@@ -73,7 +73,7 @@
         self.details['core_thick'] = ['[A]', None, None]
         self.details['layer_thick'] = ['[A]', None, None]
-        self.details['core_sld'] = ['[1/A²]', None, None]
-        self.details['layer_sld'] = ['[1/A²]', None, None]
-        self.details['solvent_sld'] = ['[1/A²]', None, None]
+        self.details['core_sld'] = ['[1/A^(2)]', None, None]
+        self.details['layer_sld'] = ['[1/A^(2)]', None, None]
+        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
         self.details['n_stacking'] = ['', None, None]
         self.details['sigma_d'] = ['', None, None]
Index: sansmodels/src/sans/models/TriaxialEllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/TriaxialEllipsoidModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,5 +36,5 @@
          semi_axisB      = 100.0 [A]
          semi_axisC      = 400.0 [A]
-         contrast        = 5.3e-006 [1/A²]
+         contrast        = 5.3e-006 [1/A^(2)]
          background      = 0.0 [1/cm]
          axis_theta      = 1.0 [rad]
@@ -64,5 +64,5 @@
         self.details['semi_axisB'] = ['[A]', None, None]
         self.details['semi_axisC'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A²]', None, None]
+        self.details['contrast'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/VesicleModel.py
===================================================================
--- sansmodels/src/sans/models/VesicleModel.py	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/VesicleModel.py	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,6 +35,6 @@
          radius          = 100.0 [A]
          thickness       = 30.0 [A]
-         core_sld        = 6.36e-006 [1/A²]
-         shell_sld       = 5e-007 [1/A²]
+         core_sld        = 6.36e-006 [1/A^(2)]
+         shell_sld       = 5e-007 [1/A^(2)]
          background      = 0.0 [1/cm]
 
@@ -63,6 +63,6 @@
         self.details['radius'] = ['[A]', None, None]
         self.details['thickness'] = ['[A]', None, None]
-        self.details['core_sld'] = ['[1/A²]', None, None]
-        self.details['shell_sld'] = ['[1/A²]', None, None]
+        self.details['core_sld'] = ['[1/A^(2)]', None, None]
+        self.details['shell_sld'] = ['[1/A^(2)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/c_extensions/binaryHS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 515cc389d00226f76cd5798958f7a3bde543d8c2)
+++ sansmodels/src/sans/models/c_extensions/binaryHS.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -37,14 +37,14 @@
     double vol_frac_ss;
 
-	///	large sphere scattering length density [1/Å²]
-    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A²]
+	///	large sphere scattering length density [1/A^(2)]
+    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A^{2}]
     double ls_sld;
 
-	///	lsmall sphere scattering length density [1/Å²]
-    //  [DEFAULT]=ss_sld= 5e-7 [1/A²]
+	///	lsmall sphere scattering length density [1/A^(2)]
+    //  [DEFAULT]=ss_sld= 5e-7 [1/A^(2)]
     double ss_sld;
 
-    ///	solvent scattering length density [1/Å²]
-    //  [DEFAULT]=solvent_sld= 6.36e-6 [1/A²]
+    ///	solvent scattering length density [1/A^(2)]
+    //  [DEFAULT]=solvent_sld= 6.36e-6 [1/A^(2)]
     double solvent_sld;
 
Index: sansmodels/src/sans/models/c_extensions/binaryHS_PSF11.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/binaryHS_PSF11.h	(revision 2c4b289dd897e67655e7c208484ad09f086d1094)
+++ sansmodels/src/sans/models/c_extensions/binaryHS_PSF11.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -9,8 +9,8 @@
 	[DESCRIPTION] =<text>
 						Model parameters:
-						
+
 						l_radius : large radius of the binary hard sphere
 						s_radius : small radius of the binary hard sphere
-						vol_frac_ls : volume fraction of large spheres 
+						vol_frac_ls : volume fraction of large spheres
 						vol_frac_ss : volume fraction of small spheres
 						ls_sld: large sphere  scattering length density
@@ -23,5 +23,5 @@
  */
 typedef struct {
-    
+
 	///	large radius of the binary hard sphere [A]
     //  [DEFAULT]=l_radius= 160.0 [A]
@@ -32,22 +32,22 @@
     double s_radius;
 
-	///	volume fraction of large spheres 
-    //  [DEFAULT]=vol_frac_ls= 0.2 
+	///	volume fraction of large spheres
+    //  [DEFAULT]=vol_frac_ls= 0.2
     double vol_frac_ls;
 
-	///	volume fraction of small spheres 
-    //  [DEFAULT]=vol_frac_ss= 0.2 
+	///	volume fraction of small spheres
+    //  [DEFAULT]=vol_frac_ss= 0.2
     double vol_frac_ss;
 
-	///	large sphere scattering length density [1/Å²]
-    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A²]
+	///	large sphere scattering length density [1/A^(2)]
+    //  [DEFAULT]=ls_sld= 3.5e-6 [1/A^(2)]
     double ls_sld;
 
-	///	lsmall sphere scattering length density [1/Å²]
-    //  [DEFAULT]=ss_sld= 5e-7 [1/A²]
+	///	lsmall sphere scattering length density [1/A^(2)]
+    //  [DEFAULT]=ss_sld= 5e-7 [1/A^(2)]
     double ss_sld;
 
-    ///	solvent scattering length density [1/Å²]
-    //  [DEFAULT]=solvent_sld= 6.36e-6 [1/A²]
+    ///	solvent scattering length density [1/A^(2)]
+    //  [DEFAULT]=solvent_sld= 6.36e-6 [1/A^(2)]
     double solvent_sld;
 
Index: sansmodels/src/sans/models/c_extensions/core_shell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
+++ sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -31,12 +31,12 @@
     //  [DEFAULT]=thickness=10 [A]
     double thickness;
-    ///	Core SLD [1/A²] 1.0e-6
-    //  [DEFAULT]=core_sld=1.0e-6 [1/A²]
+    ///	Core SLD [1/A^(2)] 1.0e-6
+    //  [DEFAULT]=core_sld=1.0e-6 [1/A^(2)]
     double core_sld;
-	/// Shell SLD [1/A²] 2.0e-6
-	//  [DEFAULT]=shell_sld=2.0e-6 [1/A²]
+	/// Shell SLD [1/A^(2)] 2.0e-6
+	//  [DEFAULT]=shell_sld=2.0e-6 [1/A^(2)]
 	double shell_sld;
-	/// Solvent SLD [1/A²] 3.0e-6
-	//  [DEFAULT]=solvent_sld=3.0e-6 [1/A²]
+	/// Solvent SLD [1/A^(2)] 3.0e-6
+	//  [DEFAULT]=solvent_sld=3.0e-6 [1/A^(2)]
 	double solvent_sld;
 	/// Incoherent Background [1/cm] 0.000
Index: sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 27fea3fd73c362e927fb15e5806e0a587260c5f3)
+++ sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -53,14 +53,14 @@
     double length;
 
-    /// Core SLD [1/A²]
-    //  [DEFAULT]=core_sld=1.0e-6 [1/A²]
+    /// Core SLD [1/A^(2)]
+    //  [DEFAULT]=core_sld=1.0e-6 [1/A^(2)]
     double core_sld;
 
-    /// Shell SLD [1/A²]
-    //  [DEFAULT]=shell_sld=4.0e-6 [1/A²]
+    /// Shell SLD [1/A^(2)]
+    //  [DEFAULT]=shell_sld=4.0e-6 [1/A^(2)]
     double shell_sld;
 
-    /// Solvent SLD [1/A²]
-    //  [DEFAULT]=solvent_sld=1.0e-6 [1/A²]
+    /// Solvent SLD [1/A^(2)]
+    //  [DEFAULT]=solvent_sld=1.0e-6 [1/A^(2)]
     double solvent_sld;
 
Index: sansmodels/src/sans/models/c_extensions/cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
+++ sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -33,6 +33,6 @@
     //  [DEFAULT]=length=400.0 [A]
     double length;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A^(2)]
     double contrast;
 	/// Incoherent Background [1/cm] 0.00
Index: sansmodels/src/sans/models/c_extensions/ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision c1c29b67c42e22e8ebe38ed7aacd5a53ec4f66bb)
+++ sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -46,6 +46,6 @@
     double radius_b;
 
-    ///	Contrast [1/A²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
+    ///	Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A^(2)]
     double contrast;
 
Index: sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -31,6 +31,6 @@
     //  [DEFAULT]=length=400.0 [A]
     double length;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A^(2)]
     double contrast;
 	/// Incoherent Background [1/cm] 0.000
Index: sansmodels/src/sans/models/c_extensions/flexible_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/flexible_cylinder.h	(revision e6fa43e5fac023a93ca925ac3050053fec8012fe)
+++ sansmodels/src/sans/models/c_extensions/flexible_cylinder.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -31,6 +31,6 @@
     //  [DEFAULT]=radius=20.0 [A]
     double radius;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=5.3e-6 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=5.3e-6 [1/A^(2)]
     double contrast;
 	/// Incoherent Background [1/cm]
Index: sansmodels/src/sans/models/c_extensions/hollow_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/c_extensions/hollow_cylinder.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,6 +35,6 @@
     double length;
 
-    /// Contrast  [1/A²]
-    //  [DEFAULT]=contrast=5.3e-6 [1/A²]
+    /// Contrast  [1/A^(2)]
+    //  [DEFAULT]=contrast=5.3e-6 [1/A^(2)]
     double contrast;
 
Index: sansmodels/src/sans/models/c_extensions/lamellar.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellar.h	(revision c1c29b67c42e22e8ebe38ed7aacd5a53ec4f66bb)
+++ sansmodels/src/sans/models/c_extensions/lamellar.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -23,9 +23,9 @@
     //  [DEFAULT]=bi_thick=50.0 [A]
     double bi_thick;
-    /// SLD of bilayer [1/A²]
-    //  [DEFAULT]=sld_bi=1.0e-6 [1/A²]
+    /// SLD of bilayer [1/A^(2)]
+    //  [DEFAULT]=sld_bi=1.0e-6 [1/A^(2)]
     double sld_bi;
-    /// SLD of solvent [1/A²]
-    //  [DEFAULT]=sld_sol=6.3e-6 [1/A²]
+    /// SLD of solvent [1/A^(2)]
+    //  [DEFAULT]=sld_sol=6.3e-6 [1/A^(2)]
     double sld_sol;
 	/// Incoherent Background [1/cm] 0.00
Index: sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h	(revision b4679dee5e210d6a4a960aa3eada337f6dbac554)
+++ sansmodels/src/sans/models/c_extensions/lamellarFF_HG.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -26,12 +26,12 @@
     //  [DEFAULT]=h_thickness=10.0 [A]
     double h_thickness;
-	/// tail scrattering length density[1/A²]
-    //  [DEFAULT]=sld_tail=4e-7 [1/A²]
+	/// tail scrattering length density[1/A^(2)]
+    //  [DEFAULT]=sld_tail=4e-7 [1/A^(2)]
     double sld_tail;
-    /// head group scrattering length density[1/A²]
-    //  [DEFAULT]=sld_head=3e-6 [1/A²]
+    /// head group scrattering length density[1/A^(2)]
+    //  [DEFAULT]=sld_head=3e-6 [1/A^(2)]
     double sld_head;
-	 /// solvent scrattering length density[1/A²]
-    //  [DEFAULT]=sld_solvent=6e-6 [1/A²]
+	 /// solvent scrattering length density[1/A^(2)]
+    //  [DEFAULT]=sld_solvent=6e-6 [1/A^(2)]
     double sld_solvent;
 	/// Incoherent Background [1/cm] 0.00
Index: sansmodels/src/sans/models/c_extensions/lamellarPS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS.h	(revision c1c29b67c42e22e8ebe38ed7aacd5a53ec4f66bb)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -41,6 +41,6 @@
     //  [DEFAULT]=delta=30 [A]
     double delta;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=5.3e-6 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=5.3e-6 [1/A^(2)]
     double contrast;
 	 /// Number of lamellar plates
Index: sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 96b593847bbd8eb6072269e750a93261a4f743b3)
+++ sansmodels/src/sans/models/c_extensions/lamellarPS_HG.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -45,12 +45,12 @@
     //  [DEFAULT]=deltaH=2.0 [A]
     double deltaH;
-    /// scattering density length of tails [1/A²]
-    //  [DEFAULT]=sld_tail=0.4e-6 [1/A²]
+    /// scattering density length of tails [1/A^(2)]
+    //  [DEFAULT]=sld_tail=0.4e-6 [1/A^(2)]
     double sld_tail;
-	/// scattering density length of head [1/A²]
-    //  [DEFAULT]=sld_head=2e-6 [1/A²]
+	/// scattering density length of head [1/A^(2)]
+    //  [DEFAULT]=sld_head=2e-6 [1/A^(2)]
     double sld_head;
-	/// scattering density length of solvent [1/A²]
-    //  [DEFAULT]=sld_solvent=6e-6 [1/A²]
+	/// scattering density length of solvent [1/A^(2)]
+    //  [DEFAULT]=sld_solvent=6e-6 [1/A^(2)]
     double sld_solvent;
 	 /// Number of lamellar plates
Index: sansmodels/src/sans/models/c_extensions/multishell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/multishell.h	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_extensions/multishell.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -29,18 +29,18 @@
     double core_radius;
 
-	///	shell thickness [Å]
+	///	shell thickness [A]
     //  [DEFAULT]=s_thickness= 10.0 [A]
     double s_thickness;
 
-    ///	water thickness [Å]
+    ///	water thickness [A]
     //  [DEFAULT]=w_thickness= 10.0 [A]
     double w_thickness;
 
-	///	core scattering length density [1/Å²]
-    //  [DEFAULT]=core_sld= 6.4e-6 [1/A²]
+	///	core scattering length density [1/A^(2)]
+    //  [DEFAULT]=core_sld= 6.4e-6 [1/A^(2)]
     double core_sld;
 
-    ///	shell scattering length density [1/Å²]
-    //  [DEFAULT]=shell_sld= 4.0e-7 [1/A²]
+    ///	shell scattering length density [1/A^(2)]
+    //  [DEFAULT]=shell_sld= 4.0e-7 [1/A^(2)]
     double shell_sld;
 
Index: sansmodels/src/sans/models/c_extensions/oblate.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/oblate.h	(revision 975ec8e8211549489759b5a5ffe3b60607de065b)
+++ sansmodels/src/sans/models/c_extensions/oblate.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -43,9 +43,9 @@
     //  [DEFAULT]=minor_shell=30.0 [A]
     double minor_shell;
-    ///  Scattering contrast [1/A²]
-    //  [DEFAULT]=contrast=1.0e-6 [1/A²]
+    ///  Scattering contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=1.0e-6 [1/A^(2)]
     double contrast;
-	/// Solvent scattering length density  [1/A²]
-    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A²]
+	/// Solvent scattering length density  [1/A^(2)]
+    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A^(2)]
     double sld_solvent;
 	/// Incoherent Background [1/cm] 0.001
Index: sansmodels/src/sans/models/c_extensions/parallelepiped.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/parallelepiped.h	(revision be8c217241412cf674233ce42856f7ec6838759f)
+++ sansmodels/src/sans/models/c_extensions/parallelepiped.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -35,6 +35,6 @@
     //  [DEFAULT]=long_c=400 [A]
     double long_c;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=53e-7 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=53e-7 [1/A^(2)]
     double contrast;
 	/// Incoherent Background [1/cm]
Index: sansmodels/src/sans/models/c_extensions/prolate.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/prolate.h	(revision 8dc0b74600a8db8ce463144695eb91a5449d193c)
+++ sansmodels/src/sans/models/c_extensions/prolate.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -42,9 +42,9 @@
     //  [DEFAULT]=minor_shell=60.0 [A]
     double minor_shell;
-    ///  Scattering contrast [1/A²]
-    //  [DEFAULT]=contrast=1.0e-6 [1/A²]
+    ///  Scattering contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=1.0e-6 [1/A^(2)]
     double contrast;
-	/// Solvent scattering length density  [1/A²]
-    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A²]
+	/// Solvent scattering length density  [1/A^(2)]
+    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A^(2)]
     double sld_solvent;
 	/// Incoherent Background [1/cm] 0.001
Index: sansmodels/src/sans/models/c_extensions/sphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/sphere.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
+++ sansmodels/src/sans/models/c_extensions/sphere.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -30,6 +30,6 @@
     double radius;
 
-    ///	Contrast [1/Å²]
-    //  [DEFAULT]=contrast= 1.0e-6 [1/A²]
+    ///	Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast= 1.0e-6 [1/A^(2)]
     double contrast;
 
Index: sansmodels/src/sans/models/c_extensions/spheroid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/spheroid.h	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_extensions/spheroid.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -45,9 +45,9 @@
     //  [DEFAULT]=polar_shell=30.0 [A]
     double polar_shell;
-    ///  Scattering contrast [1/A²]
-    //  [DEFAULT]=contrast=1.0e-6 [1/A²]
+    ///  Scattering contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=1.0e-6 [1/A^(2)]
     double contrast;
-	/// Solvent scattering length density  [1/A²]
-    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A²]
+	/// Solvent scattering length density  [1/A^(2)]
+    //  [DEFAULT]=sld_solvent=6.3e-6 [1/A^(2)]
     double sld_solvent;
 	/// Incoherent Background [1/cm] 0.001
Index: sansmodels/src/sans/models/c_extensions/stacked_disks.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/stacked_disks.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/c_extensions/stacked_disks.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -36,12 +36,12 @@
     //  [DEFAULT]=layer_thick=15.0 [A]
     double layer_thick;
-	/// Core scattering length density[1/A²]
-    //  [DEFAULT]=core_sld=4e-6 [1/A²]
+	/// Core scattering length density[1/A^(2)]
+    //  [DEFAULT]=core_sld=4e-6 [1/A^(2)]
     double core_sld;
-	/// layer scattering length density[1/A²]
-    //  [DEFAULT]=layer_sld=-4e-7 [1/A²]
+	/// layer scattering length density[1/A^(2)]
+    //  [DEFAULT]=layer_sld=-4e-7 [1/A^(2)]
     double layer_sld;
-	/// solvent scattering length density[1/A²]
-    //  [DEFAULT]=solvent_sld=5.0e-6 [1/A²]
+	/// solvent scattering length density[1/A^(2)]
+    //  [DEFAULT]=solvent_sld=5.0e-6 [1/A^(2)]
     double solvent_sld;
     /// number of stacking
Index: sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/c_extensions/triaxial_ellipsoid.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -24,6 +24,6 @@
     //  [DEFAULT]=semi_axisC=400.0 [A]
     double semi_axisC;
-    /// Contrast [1/A²]
-    //  [DEFAULT]=contrast=5.3e-6 [1/A²]
+    /// Contrast [1/A^(2)]
+    //  [DEFAULT]=contrast=5.3e-6 [1/A^(2)]
     double contrast;
 	/// Incoherent Background [1/cm] 0.00
Index: sansmodels/src/sans/models/c_extensions/vesicle.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 7ad9887b43e799e863a73fbc33301c8cc390ddfc)
+++ sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -25,14 +25,14 @@
     double radius;
 
-	///	shell thickness [Å]
+	///	shell thickness [A]
     //  [DEFAULT]=thickness= 30.0 [A]
     double thickness;
 
-	///	core scattering length density [1/Å²]
-    //  [DEFAULT]=core_sld= 6.36e-6 [1/A²]
+	///	core scattering length density [1/A^(2)]
+    //  [DEFAULT]=core_sld= 6.36e-6 [1/A^(2)]
     double core_sld;
 
-    ///	shell scattering length density [1/Å²]
-    //  [DEFAULT]=shell_sld= 5.0e-7 [1/A²]
+    ///	shell scattering length density [1/A^(2)]
+    //  [DEFAULT]=shell_sld= 5.0e-7 [1/A^(2)]
     double shell_sld;
 
Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision f9bf66165686c721c2f0b3a197f7dda1822721ad)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 27972c1dfdd57a50946a99914051e1713c997e78)
@@ -86,12 +86,8 @@
         
         // Initialize parameter dictionary
+        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.000000));
+        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
+        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",100.000000));
         PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.100000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.000003));
-        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.000000));
-        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",100.000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
@@ -234,12 +230,8 @@
 	
 	    // Reader parameter dictionary
+    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
-    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
-    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
-    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
-    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
-    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -311,12 +303,8 @@
 	
 	    // Reader parameter dictionary
+    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
-    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
-    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
-    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
-    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
-    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -375,12 +363,8 @@
 	
 	    // Reader parameter dictionary
+    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
-    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
-    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
-    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
-    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
-    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     // Read in dispersion parameters
     PyObject* disp_dict;
@@ -408,12 +392,8 @@
 	
 	    // Reader parameter dictionary
+    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
+    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
+    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     self->model->vol_frac_ls = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ls") );
-    self->model->background = PyFloat_AsDouble( PyDict_GetItemString(self->params, "background") );
-    self->model->vol_frac_ss = PyFloat_AsDouble( PyDict_GetItemString(self->params, "vol_frac_ss") );
-    self->model->solvent_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "solvent_sld") );
-    self->model->ls_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ls_sld") );
-    self->model->ss_sld = PyFloat_AsDouble( PyDict_GetItemString(self->params, "ss_sld") );
-    self->model->s_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "s_radius") );
-    self->model->l_radius = PyFloat_AsDouble( PyDict_GetItemString(self->params, "l_radius") );
     // Read in dispersion parameters
     PyObject* disp_dict;
